summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Vasquez <fearedbliss@gentoo.org>2016-11-25 15:31:45 -0500
committerJonathan Vasquez <fearedbliss@gentoo.org>2016-11-25 15:34:11 -0500
commitfbe96ab6047dfe1b68868e9ca6c5bbd61b6639df (patch)
tree113f2bff0796b374fe6fbb9c7edffcd149e873e0 /sys-kernel/bliss-initramfs
parentdev-python/diff-match-patch: Update HOMEPAGE (diff)
downloadgentoo-fbe96ab6047dfe1b68868e9ca6c5bbd61b6639df.tar.gz
gentoo-fbe96ab6047dfe1b68868e9ca6c5bbd61b6639df.tar.bz2
gentoo-fbe96ab6047dfe1b68868e9ca6c5bbd61b6639df.zip
sys-kernel/bliss-initramfs: version bump
Package-Manager: portage-2.3.2
Diffstat (limited to 'sys-kernel/bliss-initramfs')
-rw-r--r--sys-kernel/bliss-initramfs/Manifest1
-rw-r--r--sys-kernel/bliss-initramfs/bliss-initramfs-6.8.2.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/sys-kernel/bliss-initramfs/Manifest b/sys-kernel/bliss-initramfs/Manifest
index aeae72afffd..0658225caf5 100644
--- a/sys-kernel/bliss-initramfs/Manifest
+++ b/sys-kernel/bliss-initramfs/Manifest
@@ -1 +1,2 @@
DIST bliss-initramfs-6.8.1.tar.gz 42669 SHA256 e4e5f6a23533774c06664b6b73bf9d2fffe0d44c96f2e877787492ac09ab59ba SHA512 66795ed3b6bdbebf1c8573636653880ca7d97930a3e77bef71a4aa8436ba750bb2d0eab3f3c57b2fa092dd09de13be6a42eec0af5412cffacebffae268892519 WHIRLPOOL c15b69bf9479d10ca969c9c6c3b1e9e582c7d0646c3eb67aa48878bbc49796d1e43bbecb02875c5cba93f95b97ab37346d575a3f72493c19c48cecfcbf206dd7
+DIST bliss-initramfs-6.8.2.tar.gz 43583 SHA256 06ec5cb23ab11a5ce53c6b8f23a7fe578996e299a3a316fbd395ee26b8ba997d SHA512 5077ca883a85c55b7af4763b610f0132fbdc7a19c899894ba5aa306f67236af92e1c54e70fbd43739af5e2371bf01357b239730b5c2e23c47fe54bab1c0efdcf WHIRLPOOL e77eaea3482435f11fd3334dfba62c884d35d8fce36b7ddd1a4ae6114856db557a92d7f7a40a8770d24000c3a0c25e70afb15f36b6490439bbf9a38a750988c2
diff --git a/sys-kernel/bliss-initramfs/bliss-initramfs-6.8.2.ebuild b/sys-kernel/bliss-initramfs/bliss-initramfs-6.8.2.ebuild
new file mode 100644
index 00000000000..c97002e5ea6
--- /dev/null
+++ b/sys-kernel/bliss-initramfs/bliss-initramfs-6.8.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+GITHUB_USER="fearedbliss"
+GITHUB_REPO="bliss-initramfs"
+GITHUB_TAG="${PV}"
+
+DESCRIPTION="Boot your system's rootfs from ZFS, LVM, RAID, or a variety of other configs."
+HOMEPAGE="https://github.com/${GITHUB_USER}/${GITHUB_REPO}"
+SRC_URI="https://github.com/${GITHUB_USER}/${GITHUB_REPO}/archive/${GITHUB_TAG}.tar.gz -> ${P}.tar.gz"
+
+RESTRICT="strip"
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="luks raid lvm zfs"
+
+RDEPEND="
+ >=dev-lang/python-3.3
+ app-arch/cpio
+ virtual/udev
+
+ luks? ( sys-fs/cryptsetup
+ app-crypt/gnupg )
+
+ raid? ( sys-fs/mdadm )
+
+ lvm? ( sys-fs/lvm2 )
+
+ zfs? ( sys-kernel/spl
+ sys-fs/zfs
+ sys-fs/zfs-kmod )"
+
+S="${WORKDIR}/${GITHUB_REPO}-${GITHUB_TAG}"
+
+src_install() {
+ # Copy the main executable
+ local executable="mkinitrd.py"
+ exeinto "/opt/${PN}"
+ doexe "${executable}"
+
+ # Copy the libraries required by this executable
+ cp -r "${S}/files" "${D}/opt/${PN}" || die
+ cp -r "${S}/pkg" "${D}/opt/${PN}" || die
+
+ # Copy documentation files
+ dodoc CHANGES README USAGE
+
+ # Make a symbolic link: /sbin/bliss-initramfs
+ dosym "/opt/${PN}/${executable}" "/sbin/${PN}"
+}